#! /bin/sh

if [[ -n "$JAVA_HOME" ]] && [[ -x "$JAVA_HOME/bin/java" ]];  then
    echo Found java executable in JAVA_HOME
    _java="$JAVA_HOME/bin/java"
elif type -p java > /dev/null; then
    echo Found java executable in PATH
    _java=java
else
    echo "No java found"
fi

if [[ "$_java" ]]; then
    version=$("$_java" -version 2>&1 | awk -F '"' '/version/ {print $2}')
    if [[ "$version" > "1.8" ]]; then
	$("$_java" -jar HRWorksDocumentSigner.jar)
    else
        echo You do not have JRE version 1.8 or above required to launch Document Signer Utility.
	echo Please install JRE version 1.8 or above and try again.
	echo Visit http://www.java.com/en/download/index.jsp for JRE download details.
    fi
fi

